Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierResponseMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierResponseMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierResponseMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected boolean[]` | `authoritative` DESCRIBE THE FIELD
`protected boolean[]` | `haveIt` DESCRIBE THE FIELD
`protected FragmentKey[]` | `keys` DESCRIBE THE FIELD
`protected long[]` | `lifetimes` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierResponseMessage(int uid, FragmentKey[] keys, boolean[] haveIt, long[] lifetimes, boolean[] authoritative, NodeHandle source, Id dest, boolean isResponse, char tag)` Constructor for GlacierResponseMessage.
`GlacierResponseMessage(int uid, FragmentKey key, boolean haveIt, long lifetime, boolean authoritative, NodeHandle source, Id dest, boolean isResponse, char tag)` Constructor for GlacierResponseMessage.

Method Summary
`boolean` | `getAuthoritative(int index)` Gets the Authoritative attribute of the GlacierResponseMessage object
`long` | `getExpiration(int index)` Gets the Expiration attribute of the GlacierResponseMessage object
`boolean` | `getHaveIt(int index)` Gets the HaveIt attribute of the GlacierResponseMessage object
`FragmentKey` | `getKey(int index)` Gets the Key attribute of the GlacierResponseMessage object
`int` | `numKeys()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected FragmentKey[] keys

  DESCRIBE THE FIELD

### lifetimes

    protected long[] lifetimes

  DESCRIBE THE FIELD

### haveIt

    protected boolean[] haveIt

  DESCRIBE THE FIELD

### authoritative

    protected boolean[] authoritative

  DESCRIBE THE FIELD

Constructor Detail

### GlacierResponseMessage

    public GlacierResponseMessage(int uid,
                                  FragmentKey key,
                                  boolean haveIt,
                                  long lifetime,
                                  boolean authoritative,
                                  NodeHandle source,
                                  Id dest,
                                  boolean isResponse,
                                  char tag)

  Constructor for GlacierResponseMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `key` - DESCRIBE THE PARAMETER
  `haveIt` - DESCRIBE THE PARAMETER
  `lifetime` - DESCRIBE THE PARAMETER
  `authoritative` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `isResponse` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

### GlacierResponseMessage

    public GlacierResponseMessage(int uid,
                                  FragmentKey[] keys,
                                  boolean[] haveIt,
                                  long[] lifetimes,
                                  boolean[] authoritative,
                                  NodeHandle source,
                                  Id dest,
                                  boolean isResponse,
                                  char tag)

  Constructor for GlacierResponseMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `keys` - DESCRIBE THE PARAMETER
  `haveIt` - DESCRIBE THE PARAMETER
  `lifetimes` - DESCRIBE THE PARAMETER
  `authoritative` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `isResponse` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getKey

    public FragmentKey getKey(int index)

  Gets the Key attribute of the GlacierResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Key value

### getHaveIt

    public boolean getHaveIt(int index)

  Gets the HaveIt attribute of the GlacierResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The HaveIt value

### getAuthoritative

    public boolean getAuthoritative(int index)

  Gets the Authoritative attribute of the GlacierResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Authoritative value

### getExpiration

    public long getExpiration(int index)

  Gets the Expiration attribute of the GlacierResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Expiration value

### numKeys

    public int numKeys()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.